Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.jenkins
Class JBehavePluginType.DescriptorImpl

    java.lang.Object
      hudson.model.Descriptor<com.thalesgroup.dtkit.metrics.hudson.api.type.TestType>
          com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor<JBehavePluginType>
              org.jbehave.jenkins.JBehavePluginType.DescriptorImpl

All Implemented Interfaces:
  hudson.model.Saveable

Enclosing class:
  JBehavePluginType

    @Extension
    public static class JBehavePluginType.DescriptorImpl

extends com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor<JBehavePluginType>

Nested Class Summary

Nested classes/interfaces inherited from class hudson.model.Descriptor
`hudson.model.Descriptor.FormException, hudson.model.Descriptor.PropertyType`

Field Summary

Fields inherited from class hudson.model.Descriptor
`clazz`

Fields inherited from interface hudson.model.Saveable
`NOOP`

Constructor Summary
`JBehavePluginType.DescriptorImpl()`

Method Summary
`String` | `getId()`

Methods inherited from class com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor
`all, getDisplayName, getInputMetric`

Methods inherited from class hudson.model.Descriptor
`calcAutoCompleteSettings, calcFillSettings, configure, configure, doHelp, find, find, getCheckUrl, getConfigFile, getConfigPage, getDescriptorUrl, getGlobalConfigPage, getGlobalPropertyType, getHelpFile, getHelpFile, getJsonSafeClassName, getPropertyType, getPropertyType, getViewPage, isInstance, isSubTypeOf, load, newInstance, newInstance, newInstancesFromHeteroList, newInstancesFromHeteroList, save, toArray, toList, toMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBehavePluginType.DescriptorImpl

    public JBehavePluginType.DescriptorImpl()

Method Detail

### getId

    public String getId()

  Specified by:
    `getId` in class `com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor<JBehavePluginType>`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.